• CLIO pocket and macOS Catalina

    by  • 9 October 2019 • Hot News, News

    Last Monday Apple released its newest macOS 10.15 Catalina which dropped support for 32 bits applications and strengthened the security requirements for applications distributed outside their App Store.

    CLIO pocket is a 32 bit application, thus is not compatible with MacOS 10.15 Catalina.
     
     
     
    macOS 10.14 Mojave is the last macOS which supports 32 bit applications and the highest macOS version supported by CLIO pocket 2.0. 
     
    During the update process to macOS 10.15 you will get a warning which should not be ignored:
     
     
    We are working on a 64 bit version of CLIO pocket but we do not have fixed release date yet, expected release date is during first half of 2020.
    The codebase transition to macOS 64 bit Cocoa API will require extensive testing. We are also working on streamlining application distribution according to the new Apple requirements for the application distribution process outside their store.     
     
    For CLIO pocket users running macOS 10.14 or prior versions the advice is to NOT upgrade macOS to a version higher than 10.14 while we are working on the update.  

     

    About